#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-JOhtzEst4CGID90i9acT4K-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-JOhtzEst4CGID90i9acT4K-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  4725a6e9f902989ac1758faf64b7caf1
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-JOhtzEst4CGID90i9acT4K-tasty-sugar-internal

depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-IlyN8OSyKQ5G3Vagbo1HFI filepath-1.4.2.2
    kvitable-1.0.3.0-9ZTE2zsksZjLxLfPMpdFMh
    logict-0.7.1.0-F4AEjwedPvrFMnkkOr2ucP
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA mtl-2.2.2
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-2MeKyKCMKbLJBZLGxdt1b7 text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-JKDGmXSfiT02ba1ilXaLEt
key:                  tasty-sugar-2.1.0.0-JKDGmXSfiT02ba1ilXaLEt
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  8db55583d8c6201a2d051eabe9bf07a9
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-JKDGmXSfiT02ba1ilXaLEt
depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-IlyN8OSyKQ5G3Vagbo1HFI filepath-1.4.2.2
    logict-0.7.1.0-F4AEjwedPvrFMnkkOr2ucP
    optparse-applicative-0.17.1.0-9B5O8ePYjUG8evKtX1T4ou
    prettyprinter-1.7.1-2MeKyKCMKbLJBZLGxdt1b7
    tasty-1.4.3-IJrCoaUld1J8JxqIiOPgQd
    tasty-sugar-2.1.0.0-JOhtzEst4CGID90i9acT4K-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

